Skip to content

Retrieve the details of an active upload session. Admin users can get details for all sessions, while non-Admin users can only get details for sessions if they are the owner.

GET/api/{version}/services/file_staging/upload/{upload_session_id}
NameDescription
Acceptapplication/json (default) or application/xml
NameDescription
upload_session_idThe upload session ID.
curl -L -X GET -H "Authorization: {SESSION_ID}"\ -H "Accept: application/json" \ https://myvault.veevevault.com/api/v26.1/services/file_staging/upload/TpE_3roGfhpCppmk9ltKaEAbb8.kWbZEe6xDuW3lNa42801RbIEPJaWG07xvwrITJgVmXDw3UVL1w--
{ "responseStatus": "SUCCESS", "data": { "path": "/u10001400/cholecap-2021/Cholecap-Commercial-2021.mp4", "id": "TpE_3roGfhpCppmk9ltKaEAbb8.kWbZEe6xDuW3lNa42801RbIEPJaWG07xvwrITJgVmXDw3UVL1w--", "expiration_date": "2020-10-10T19:30:18.000Z", "created_date": "2020-10-07T19:30:18.000Z", "last_uploaded_date": "2020-10-07T19:38:29.000Z", "owner": 10001400, "uploaded_parts": 2, "size": 32862312, "uploaded": 10485760 } }

On SUCCESS, the response includes the following information:

NameDescription
pathThe absolute path, including file name, to place the file in the staging server. This path is specific to the authenticated user. Admin users can access the root directory. All other users can only access their own user directory.
idThe upload session ID.
expiration_dateThe timestamp of when the upload session will expire.
created_dateThe timestamp of when the session was created.
last_uploaded_dateThe timestamp of the last upload in this session.
ownerThe user ID of the Vault user who initiated the upload session.
uploaded_partsThe total number of file parts uploaded so far.
sizeThe total size, in bytes, of the file when complete.
uploadedThe total number of bytes uploaded so far in the session.